# -*- coding: utf-8 -*-
# vim: ft=yaml
---
driver:
  name: vagrant
  cache_directory: false
  customize:
    usbxhci: 'off'
  gui: false
  ssh:
    shell: /bin/sh
  linked_clone: true
  <% unless ENV['CI'] %>
  synced_folders:
    - - '.kitchen/kitchen-vagrant/%{instance_name}/vagrant'
      - '/vagrant'
      - 'create: true, disabled: false'
  <% end %>

platforms:
  - name: freebsd-130-master-py3
    driver:
      box: myii/freebsd-13.0-master-py3
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: freebsd-123-master-py3
    driver:
      box: myii/freebsd-12.3-master-py3
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: freebsd-130-3004-0-py3
    driver:
      box: myii/freebsd-13.0-3004.0-py3
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: freebsd-123-3004-0-py3
    driver:
      box: myii/freebsd-12.3-3004.0-py3
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: openbsd-70-3003-3-py3
    driver:
      box: myii/openbsd-7.0-3003.3-py3
      ssh:
        shell: /bin/ksh
      synced_folders: []
    verifier:
      inputs:
        saltmajorversion: 3003
  - name: windows-10-latest-py3
    driver:
      box: techneg/win10x64-pro-salt
      cache_directory: "/omnibus/cache"
      customize: {}
      ssh: {}
    provisioner:
      # yamllint disable rule:line-length
      init_environment: |
        # Workaround to allow `kitchen converge` to be used multiple times
        # without having to `kitchen destroy` first: remove state files cached by
        # Salt during the previous `converge` (if present)
        rm -recurse `
          C:\Users\vagrant\AppData\Local\Temp\kitchen\var\cache\salt\minion\files\base `
          -ErrorAction SilentlyContinue
        salt-call --local state.single file.managed `
          C:\Users\vagrant\AppData\Local\Temp\kitchen\srv\salt\win\repo-ng\salt-minion-py3.sls `
          source=https://github.com/saltstack/salt-winrepo-ng/raw/master/salt-minion-py3.sls `
          skip_verify=True makedirs=True
        exit 0
      # yamllint enable rule:line-length
    verifier:
      inputs:
        saltmajorversion: 3004
  - name: windows-81-latest-py3
    driver:
      box: techneg/win81x64-pro-salt
      cache_directory: "/omnibus/cache"
      customize: {}
      ssh: {}
    provisioner:
      # yamllint disable rule:line-length
      init_environment: |
        # Workaround to allow `kitchen converge` to be used multiple times
        # without having to `kitchen destroy` first: remove state files cached by
        # Salt during the previous `converge` (if present)
        rm -recurse `
          C:\Users\vagrant\AppData\Local\Temp\kitchen\var\cache\salt\minion\files\base `
          -ErrorAction SilentlyContinue
        salt-call --local state.single file.managed `
          C:\Users\vagrant\AppData\Local\Temp\kitchen\srv\salt\win\repo-ng\salt-minion-py3.sls `
          source=https://github.com/saltstack/salt-winrepo-ng/raw/master/salt-minion-py3.sls `
          skip_verify=True makedirs=True
        exit 0
      # yamllint enable rule:line-length
    verifier:
      inputs:
        saltmajorversion: 3004
